=== modified file 'drizzled/scheduler.cc'
--- drizzled/scheduler.cc	2008-10-15 04:32:07 +0000
+++ drizzled/scheduler.cc	2008-10-16 06:18:26 +0000
@@ -102,7 +102,6 @@
 thd_scheduler::thd_scheduler()
   : logged_in(false), io_event(NULL), thread_attached(false)
 {  
-  dbug_explain_buf[0]= 0;
 }
 
 
@@ -148,7 +147,7 @@
   my_errno= 0;
   thd->mysys_var->abort= 0;
   thread_attached= true;
-  swap_dbug_explain();
+
   return false;
 }
 
@@ -164,23 +163,9 @@
     THD* thd = (THD*)list.data;
     thd->mysys_var= NULL;
     thread_attached= false;
-    swap_dbug_explain();
   }
 }
 
-
-/*
-  Swap the THD's dbug explain_buffer with the OS thread's dbug explain buffer.
-
-  This is used to preserve the SESSION DEBUG variable, which is mapped to the OS 
-  thread during a command, but each command is handled by a different thread.
-*/
-void thd_scheduler::swap_dbug_explain()
-{
-  char buffer[sizeof(dbug_explain_buf)];
-  memcpy(dbug_explain_buf, buffer, sizeof(buffer));
-}
-
 /**
   Create all threads for the thread pool
 

=== modified file 'drizzled/scheduler.h'
--- drizzled/scheduler.h	2008-10-06 06:47:29 +0000
+++ drizzled/scheduler.h	2008-10-16 06:18:26 +0000
@@ -45,8 +45,6 @@
 
 enum scheduler_types
 {
-  SCHEDULER_ONE_THREAD_PER_CONNECTION=0,
-  SCHEDULER_NO_THREADS,
   SCHEDULER_POOL_OF_THREADS
 };
 
@@ -63,9 +61,6 @@
   LIST list;
   bool thread_attached;  /* Indicates if THD is attached to the OS thread */
   
-  char dbug_explain_buf[256];
-  void swap_dbug_explain();
-
   thd_scheduler();
   ~thd_scheduler();
   bool init(THD* parent_thd);

